%global dlrn_nvr tempest-26.1.0-2.20211013134917.271f820
%global dlrn 1
%define upstream_version 26.1.0
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global project tempest
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0
# guard for Red Hat OpenStack Platform supported tempest
%global rhosp 1
%global common_desc \
This is a set of integration tests to be run against a live OpenStack cluster.\
Tempest has batteries of tests for OpenStack API validation, Scenarios, and \
other specific tests useful in validating an OpenStack deployment.

Name:           openstack-%{project}
Epoch:          1
Version: 26.1.0
Release: 2.20211013134917.271f820%{?dist}
Summary:        OpenStack Integration Test Suite (Tempest)
License:        ASL 2.0
Url:            https://launchpad.net/tempest
Source0: tempest-26.1.0-2.20211013134917.271f820.tar.gz
# This reverts removal of an old tempest/manager.py in order to provide
# compatibility with neutron-tempest-plugin which has switched to the
# new manager location at very latest and the change hasn't been included in
# a tag nor a release. We revert the removal in tempest so that we can package
# tempest 26.1.0 and ship it in Victoria. Tempest 26.1.0 contains apart from
# the fixes also a significant argument deprecation.
#
# patches_ignore=DROP-IN-RPM
# patches_base=271f8201d4d927830d289c34744ca20a92bee33c
Patch0001: 0001-Add-test-to-verify-FQDN-hostname-sanitization.patch
Patch0002: 0002-Skip-failing-test-test_fix_argument_yes.patch
Patch0003: 0003-Revert-Remove-tempest-manager.py-after-4-year-deprec.patch
Patch0004: 0004-compute-Rework-attach_volume-waiters-and-cleanup.patch

# workaround for handling py2 and py3 mock issue
%if %{pyver} == 2
%endif
BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python%{pyver}-oslo-config
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  openstack-macros

Requires:       python%{pyver}-tempest = %{epoch}:%{version}-%{release}

%if 0%{?repo_bootstrap} == 0
Requires:       python%{pyver}-tempestconf
%endif

%description
%{common_desc}

%package -n    python%{pyver}-%{project}
Summary:       Tempest Python library

%{?python_provide:%python_provide python2-%{project}}

# Obsoletes python-tempest-lib to avoid breakage
# during upgrade from Newton onwards to till this
# release
Obsoletes:     python-tempest-lib

Requires:      python%{pyver}-cliff
Requires:      python%{pyver}-debtcollector
Requires:      python%{pyver}-fixtures
Requires:      python%{pyver}-jsonschema
Requires:      python%{pyver}-netaddr
Requires:      python%{pyver}-oslo-concurrency >= 3.26.0
Requires:      python%{pyver}-oslo-config >= 2:5.2.0
Requires:      python%{pyver}-oslo-log >= 3.36.0
Requires:      python%{pyver}-oslo-serialization >= 2.18.0
Requires:      python%{pyver}-oslo-utils >= 3.33.0
Requires:      python%{pyver}-os-testr >= 0.8.0
Requires:      python%{pyver}-paramiko
Requires:      python%{pyver}-pbr
Requires:      python%{pyver}-prettytable
Requires:      python%{pyver}-six
Requires:      python%{pyver}-stevedore
Requires:      python%{pyver}-stestr
Requires:      python%{pyver}-testtools
Requires:      python%{pyver}-urllib3
Requires:      python%{pyver}-subunit

# Handle python2 exception
%if %{pyver} == 2
Requires:      python-unittest2
Requires:      PyYAML
Requires:      python2-mock
Requires:      python-configparser
%else
Requires:      python%{pyver}-unittest2
Requires:      python%{pyver}-PyYAML
%endif

%description -n python%{pyver}-%{project}
%{common_desc}

This package contains the tempest python library.

%package -n     python%{pyver}-%{project}-tests
Summary:        Python Tempest tests
Requires:       python%{pyver}-tempest = %{epoch}:%{version}-%{release}
%{?python_provide:%python_provide python2-%{project}-tests}

BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-oslotest
BuildRequires:  python%{pyver}-subunit
BuildRequires:  python%{pyver}-oslo-log
BuildRequires:  python%{pyver}-jsonschema
BuildRequires:  python%{pyver}-urllib3
BuildRequires:  python%{pyver}-oslo-concurrency
BuildRequires:  python%{pyver}-paramiko
BuildRequires:  python%{pyver}-cliff
BuildRequires:  python%{pyver}-pycodestyle
BuildRequires:  python%{pyver}-os-testr
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-hacking

# Handle python2 exception
%if %{pyver} == 2
BuildRequires:  PyYAML
BuildRequires:  python2-mock
BuildRequires:  python-configparser
%else
BuildRequires:  python%{pyver}-PyYAML
%endif


Requires:       python%{pyver}-mock
Requires:       python%{pyver}-oslotest

%description -n python%{pyver}-%{project}-tests
%{common_desc}

This package contains tests for the tempest python library.

%if 0%{?repo_bootstrap} == 0
%package -n    %{name}-all
Summary:       All OpenStack Tempest Plugins

Requires:      %{name} = %{epoch}:%{version}-%{release}

Requires:       python%{pyver}-cinder-tests-tempest
Requires:       python%{pyver}-designate-tests-tempest
Requires:       python%{pyver}-heat-tests-tempest
Requires:       python%{pyver}-horizon-tests-tempest
Requires:       python%{pyver}-ironic-tests-tempest
Requires:       python%{pyver}-keystone-tests-tempest
Requires:       python%{pyver}-mistral-tests-tempest
Requires:       python%{pyver}-neutron-tests-tempest
Requires:       python%{pyver}-zaqar-tests-tempest
Requires:       python%{pyver}-manila-tests-tempest
Requires:       python%{pyver}-telemetry-tests-tempest
Requires:       python%{pyver}-octavia-tests-tempest
Requires:       python%{pyver}-networking-l2gw-tests-tempest
Requires:       python%{pyver}-patrole-tests-tempest
Requires:       python%{pyver}-novajoin-tests-tempest
Requires:       python%{pyver}-kuryr-tests-tempest
Requires:       python%{pyver}-barbican-tests-tempest

%if 0%{?rhosp} == 0
Requires:       python%{pyver}-congress-tests-tempest
Requires:       python%{pyver}-magnum-tests-tempest
Requires:       python%{pyver}-murano-tests-tempest
Requires:       python%{pyver}-sahara-tests-tempest
Requires:       python%{pyver}-trove-tests-tempest
Requires:       python%{pyver}-vitrage-tests-tempest
Requires:       python%{pyver}-watcher-tests-tempest
%endif

%description -n %{name}-all
%{common_desc}

This package contains all the tempest plugins.
%endif

%if 0%{?with_doc}
%package -n %{name}-doc
Summary:        %{name} documentation

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-sphinxcontrib-rsvgconverter

%description -n %{name}-doc
%{common_desc}

It contains the documentation for Tempest.
%endif

%prep
%autosetup -n tempest-%{upstream_version} -S git
# have dependencies being handled by rpms, rather than requirement files
%py_req_cleanup

# Adjust use of 'stestr' binary in tests
sed -i "s/'stestr'/'stestr-%{pyver}'/" tempest/tests/cmd/test_run.py tempest/tests/test_list_tests.py

# remove shebangs and fix permissions
RPMLINT_OFFENDERS="tempest/cmd/list_plugins.py \
tempest/cmd/cleanup.py \
tempest/cmd/cleanup_service.py \
tempest/cmd/verify_tempest_config.py \
tempest/cmd/account_generator.py \
tempest/lib/cmd/skip_tracker.py \
tempest/lib/cmd/check_uuid.py"
sed -i '1{/^#!/d}' $RPMLINT_OFFENDERS
chmod u=rw,go=r $RPMLINT_OFFENDERS

%build
%{pyver_build}

%if 0%{?with_doc}
# Disable Build the plugin registry step as it uses git to clone
# projects and then generate tempest plugin projects list.
# It is also time taking.
export PYTHONPATH=.
export GENERATE_TEMPEST_PLUGIN_LIST='False'
sphinx-build-%{pyver} -b html doc/source doc/build/html
# remove the sphinx-build-%{pyver} leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}
rm -rf %{buildroot}/usr/bin/verify-tempest-config
rm -rf %{buildroot}/usr/bin/tempest-account-generator

# Generate tempest config
mkdir -p %{buildroot}%{_sysconfdir}/%{project}/
oslo-config-generator-%{pyver} --config-file tempest/cmd/config-generator.tempest.conf \
    --output-file %{buildroot}%{_sysconfdir}/%{project}/tempest.conf

mkdir -p %{buildroot}/etc/tempest
mv %{buildroot}/usr/etc/tempest/* %{buildroot}/etc/tempest

%check
export OS_TEST_PATH='./tempest/tests'
export PATH=$PATH:$RPM_BUILD_ROOT/usr/bin
export PYTHONPATH=$PWD
# TODO(chandankumar): It is specific to train, remove the black regex
# when we import a new version of tempest for train
PYTHON=%{pyver_bin} stestr-%{pyver} --test-path $OS_TEST_PATH run --black-regex 'tempest.tests.lib.cmd.test_check_uuid.TestCLInterface.test_fix_argument_yes'

%files
%license LICENSE
%doc README.rst
%{_bindir}/tempest
%{_bindir}/check-uuid
%{_bindir}/skip-tracker
%{_bindir}/subunit-describe-calls
%{_sysconfdir}/%{project}/*sample
%{_sysconfdir}/%{project}/*yaml
%config(noreplace) %{_sysconfdir}/%{project}/*.conf

%files -n python%{pyver}-%{project}
%license LICENSE
%{pyver_sitelib}/%{project}
%{pyver_sitelib}/%{project}*.egg-info
%exclude %{pyver_sitelib}/tempest/tests

%files -n python%{pyver}-%{project}-tests
%license LICENSE
%{pyver_sitelib}/tempest/tests

%if 0%{?repo_bootstrap} == 0
%files -n %{name}-all
%license LICENSE
%endif

%if 0%{?with_doc}
%files -n %{name}-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Wed Oct 13 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20211013134917.271f820
- compute: Rework attach_volume waiters and cleanup (rhbz#1996049)

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210820114811.271f820
- Update patches

* Thu Aug 19 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210819234813.271f820
- Update patches

* Wed Aug 04 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210804204810.271f820
- Update patches

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210803204809.271f820
- Skip failing test test_fix_argument_yes (rhbz#1986620)
- Add test to verify FQDN hostname sanitization (rhbz#1986620)

* Thu Jul 29 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210729124810.271f820
- Skip failing test test_fix_argument_yes (rhbz#1986620)
- Add test to verify FQDN hostname sanitization (rhbz#1986620)

* Wed Jul 28 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210728174818.271f820
- Skip failing test test_fix_argument_yes (rhbz#1986620)
- Add test to verify FQDN hostname sanitization (rhbz#1986620)

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210727224811.271f820
- Add test to verify FQDN hostname sanitization (rhbz#1986620)

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210531080657.271f820
- Update patches

* Mon May 31 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210531075147.271f820
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210527213833.271f820
- Update patches

* Mon May 10 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210510224816.271f820
- Update patches

* Mon May 10 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210510083529.271f820
- Update patches

* Sun May 09 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.1.0-2.20210509234814.271f820
- Update patches
- Add release notes for an Wallaby intermediate release.
- Support scope in dynamic cred for specific roles
- Update dynamic creds to properly handle types during creation
- Add bandwidth inventory to the subnodes in tempest-multinode-full-py3
- Update subunit_describe_calls about new ports
- Implementation of create_subnet() varies in manila-tempest-plugin
- Add alt project persona in dynamic credential
- Make _get_network_by_name() non-private
- [part1] Remove six
- Remove usage of six
- Make _create_network() non-private
- Remove usage of six
- Remove usage of six
- Add log for all assigned roles for dynamic cred users
- Remove usage of six
- Make _cleanup_volume_type non-private
- Add option to support volume_type in volume creation
- change ipv6 public network cidr on tempest-slow job
- Enable swift in tempest-full-py3
- Allow kwargs in create_volume_snapshot
- Fix run-tempest black/exclude var setting
- Modify the port fake data according to api reference
- add unittest for trust client operation interface in identity part
- Optimize the check pipeline runtime
- Enable devstack parallel installation in tempest-full-parallel job
- Implemetation of tempest client for keystone v3 OS_FEDERATION API
- Fix race condition for image test
- Fix --exlude typo in tox.ini
- Add release note and fix some TODO from system scope support
- Disable file injection tests until bug/1882421
- Create default network for server advance scenario tests
- Make import wait check for store status
- Add wait_for_resource_deletion for swift api clients
- Refactor skip_because decorator
- Make _create_security_group_rule non-private
- Make _create_loginable_secgroup_rule non-private
- Make _log_console_output non-private
- Allow use custom uppper constraints in stable/stein
- Change Review merge policy from two +2 to single +2 requirement
- Add config option for enforce_scope
- test_live_migration: Rename test_iscsi_volume
- Fix system & domain scoped admin dynamic credential
- Test for changing QoS policy with min bw of bound port
- Make create_user domain-aware for V3CredsClient
- test_encrypted_cinder_volumes: Do not create an image for this test
- Move horizon test from tempest-horizon to tempest
- Fix project/domain scope in dynamic_creds
- Remove tempest/manager.py after 4 year deprecation
- Inclusive jargon
- Drop base grenade job for nova
- Test glance reserved properties
- 1912117: Fix the IP URL for metadata service in fixed network scenario
- Make random_bytes() enforce sane size limits
- Fix memory explosion in multi-store image tests
- Delete wrong argument from creating HTTP connection
- Use CONF.identity.disable_ssl_certificate_validation in object_client
- Add release note for new role client methods
- Add default RBAC personas to pre-provisioned creds
- Add default RBAC personas to dynamic credentials
- Add client methods and tests for system grants
- Add system scope for admin auth
- Remove deprecated test.idempotent_id decorator
- Remove deprecated config options for volume API selection
- Update microversion doc for compute microversion 2.3
- Pass custom args to create_port through create_server
- Remove stable/stein testing jobs
- scenario: Use wait_for_volume_attachment_remove_from_server in nova_volume_detach
- Add release notes page for version 26.0.0
- Use proper kwargs in rebuild_server
- add unitest for api of resource providers inventories
- Revert "Use victoria stable constraint in tox to release 26.0.0"
- Also calculate external subnets when check cidr whether in use
- Allow kwargs in create/restore_backup
- Remove slow tag from test_minbw test
- Allow kwargs in _get_router

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.0.0-1
- Update patches

* Mon Jan 18 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.0.0-1
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.0.0-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.0.0-1
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> 1:26.0.0-1
- Update patches
- Use victoria stable constraint in tox to release 26.0.0
- Add releasenote to tag the end of support for Stein
- Remove unused LOG var in test_stamp_pattern.py
- Remove race due to 1907084
- New minimum guaranteed bandwidth tests
- Fix indentation for the example code in documentation.
- Need to add kwargs for the api
- Allow kwargs in create_server_snapshot
- Allow kwargs in get_timestamp
- Allow additional port_vnic_type
- compute: Skip AttachVolumeShelveTestJSON when cross_az_attach unavailable
- Cleanup server before image at test level
- Need to have stable implementation of apis
- Added apis to scenario manager
- Allow kwargs in create_volume_from_image
- compute: Cleanup server before image in AttachSCSIVolumeTestJSON
- Allow kwargs in image_create
- Decentralize the zuul jobs into zuul.d
- Fix TypeError when there exists image with size None
- Skip test_create_object_with_transfer_encoding
- Change help string to use openstack instead of neutron
- [Trivial]Remove unused variables
- Fix "TypeError: format requires a mapping" in waiters
- Add related test to Bug #1732428
- Add tag in compute interfaces schema for microversion 2.70
- [Trivial]Remove unused variables and methods
- [Trivial]Do not use cls in instance method
- Skip test_server_rescue with volumes when there is no Cinder
- Check VM's console log before trying to SSH to it.
- Allow kwargs in create_timestamp
- Allow kwargs in nova_volume_attach
- Allow kwargs in create_floating_ip
- Remove six.PY3/six.PY2
- Add glance multistore job (nv) in tempest gate
- Remove 'gabbi_tempest_path' from devstack-tempest job
- Clarify tempest-full job description
- Allow kwargs in get_server_ip
- Allow kwargs in _get_server_port_id_and_ip4
- Set image_alt_ssh_user during stack
- Allow kwargs in create_volume
- Allow kwargs in boot_instance_from_resource
- Replace assertItemsEqual with assertEqual
- Improve tempest-cleanup ansible role
- Allow kwargs in create_floating_ip
- New list config option to list network features without API extension
- Stabilize _create_loginable_secgroup_rule
- Unskip Device detach compute tests on Focal
- Allow kwargs in _log_console_output
- Add glance image import copy-image tests
- Fix incorrect compute api microversion history links
- Fix url link for get_remote_console interface
- Test attach scsi disk with config drive enabled
- Make neutron-tempest-dvr job non-voting
- Allow kwargs in create_volume_type
- Replace display_name by name in scenario manager
- Allow kwargs in create_keypair
- Skip adding host to aggregate with az if host already in other zone
- Fix error that instance could not be found
- Delete test_reboot_server_soft
- Add Tempest gate job for stable/victoria
- zuul: Move tempest-integrated-compute to Focal
- Retry on ServerFault in call_and_ignore_notfound_exc()
- add unittest for endpoints operation interface in identity part
- Skip additional test if 'xenapi_apis' flag is False
- Check port allocation for VM with resource request
- Add placement API methods for testing routed provider nets
- Fix victoria releasenote to align yaml format
- Add glance multistore tests
- Add keystone v3 EC2 credential tests and client
- Remove install unnecessary packages
- Add missing keystone clients
- Migrate tempest jobs to focal
- Revert "Use stable constraint in tox to release new tag for Victoria"
- Adding description for testcases - compute part11
- Updating the paramiko version to 2.7.0 or greater
- Add 'xenapi_apis' compute feature flag
- compute: Wait until server is ACTIVE before deleting during resource_setup
- Add missing replication_status in group schema
- Use the correct attachment id for multiattach.
- Use assert_has_calls() correctly.
- Volume backup response schemas are incorrect
- Use os.path.join as possible
- Add response schema validation for volume manage
- Fix import line location
- Create documentation for tests
- Fix flavor NotFound in test_resize_server_revert_deleted_flavor
- Adding description for testcases - swift part1
- Adding description for testcases - volume part3
- Adding description for testcases - compute part10
- Adding description for testcases - compute part8
- Set max_microversion 2.56 for ServerPersonalityTestJSON
- Move process-stackviz role from Tempest to Devstack
- Add missing attachments schema in servers.py
- Fix test_list_flavors for compute microversion 2.55
- Fix negative tests of update_volume for volume microversion 3.59
- Modify the fake data according to api reference
- volume: Introduce extend attached encrypted volume tests
- Add show types API to v3 types client library
- Modify the fake data for test_networksks_client for v3
- Add Access Rules tests
- Added stestr for running test using pdb flag

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:24.0.0-1
- Update patches

* Mon Dec 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:24.0.0-1
- Update patches

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> 1:24.0.0-1
- Update patches

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:24.0.0-1
- Update patches
- Add releasenote to tag the Tempest for Victoria release
- Use stable constraint in tox to release new tag for Victoria
- Fix test_allowed_address_pair test case cleanup
- Need to have stable implementation of nova_volume_detach() and add missing docstrings
- Need to have stable tempest scenario manager
- Skip test_qos_min_bw_allocation_basic when not supported
- Wait until dependent resource is deleted
- Use of single interface for creating image
- Use the networking-l2gw project new location
- Adding description for testcases - swift part2
- Improve unit tests for subunit_describe_calls
- Adding description for testcases - swift part3
- Fix and unskip test_list_servers_filtered_by_ip_regex
- Adding description for testcases - volume part5
- Adding description for testcases - volume part4
- Adding description for testcases - compute part12
- Adding description for testcases - compute part9
- Adding description for testcases - compute part7
- Adding description for testcases - compute part6
- Adding description for testcases - identity part2
- Adding description for testcases - identity part5
- Adding description for testcases - compute part5
- Adding description for testcases - compute part4
- Add default headers to the volume show_version request
- Add glance image import web-download tests
- Add new tests for check-uuid tool
- Adding description for testcases - identity part3
- Adding description for testcases - volume part2
- Adding description for testcases - network part1
- Adding description for testcases - network part3
- Tempest tests for glance import workflow
- Fix KeyError exc in volumes_client
- Stop to use the __future__ module.
- remote_client: Use blkid -L to find config drive by filesystem label
- Fix tempest plugin cookicutter repo path
- zuul: clean up some legacy jobs
- Add response schema validation for volume backups
- Add skip flags for block level live migration
- Replace mock by unittest.mock in 2 forgotten cases
- Remove checking of Accept-Range header
- Document the process to pin the constraint in tox.ini
- Remove deprecated scenario image options
- Fix pdf-doc build by skiping the sample file
- object storage: fix and cleanup header checks
- Add unit tests for check_uuid.py
- Add check_service_availability test
- Fix pygments style
- Unstable test_container_synchronization
- Unstable test_server_connectivity_cold_migration_revert
- Use python3 venv instead of virtualenv
- Fix request body for compute unshelve action API
- Fix test_get_service_by_invalid_params for microversion 2.75
- Fix the argument check for account-generator
- Change 'Member' role reference to 'member'
- Fix 404 when deleteing volume group
- Fix flavor swap default value for compute microversion 2.75
- Add response schema validation for volumes
- [compute] Blacklist test_create_second_image due to race
- Remove any reference to "tenant_id" in network
- Allow snapshot name with null
- Adding description for testcases - compute part3
- Add response schema validation for show_default_group_type
- Add response schema validation for volume groups
- Add response schema validation for volume group snapshots
- Cap jsonschema 3.2.0 as the minimal version
- Sort roles in keystone token
- Add image "version" metadata in test_snapshot_pattern
- Adding description for testcases - network part2
- Add response schema validation for volume snapshots
- Add response schema validation for volume pools
- [Trivial]Do not use self in class method
- Add response schema validation for volume group types
- Add response schema validation for encryption types
- Switch to newer openstackdocstheme and reno versions
- Use unittest.mock instead of third party mock
- compute: Fix boot from volume stable rescue tests
- Add explicit external network for test_create_router_set_gateway_with_fixed_ip
- Add migration uuid API schema validation for 2.59
- Fix check_floating_ip_status utility's output
- Prevent raising exception if IP address is set in _hotplug_server
- Bump hacking min version to 3.0.1
- test_server_rescue.py should use CONF.volume.volume_size
- Improve logging in tempest cleanup
- Fix redirect for doc section
- Don't use deprecated configparser.readfp
- Switch testing to Victoria testing runtime
- Add tempest-cleanup ansible role
- Use ensure-pip for stackviz pip install
- Add index page for plugins documents
- Add document for stable branch testing for tempest plugins
- Update supported version doc tempest
- Move ceph job to voting
- Make image_ssh_password a secret so it does not show in console
- Adding description for testcases - identity part4
- Move the grenade-py3 job to new zuulv3 grenade job name
- Add Tempest gate job for stable/ussuri
- compute: Add stable device rescue tests with BFV instances
- Add release notes page for version 24.0.0
- Fix typo in contributor guide
- Remove the stable rocky from supported branch in Tempest master
- Set TOX_CONSTRAINTS_FILE
- Use new encryption provider constants (reprise)
- Use the master constraint again in tox.ini
- Adding description for testcases - image part2
- Adding description for testcases - image part1
- Integrated gate storage/swift: blacklist more tests
- run-tempest: save the result of tempest execution
- Remove the deprecated tempest-account-generator CLI
- Modify the fake data
- Change bytes to str in servers_client for python3
- Do not specify a host for live-migration for non homogeneous nodes
- Enable xindy for PDF build
- Add response schema validation for volume limits

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> 1:24.0.0-1
- Update patches

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> 1:24.0.0-1
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 1:24.0.0-1
- Update patches

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:24.0.0-1
- Update patches

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:23.0.0-1
- Update patches
- Create default network for compute rescue tests
- Use stable constraint in tox to release new tag for Ussuri
- Add releasenote to tag the Tempest for Ussuri release
- [ussuri][goal] Update contributor documentation
- Document the policy for Tempest & its plugins release
- Adding description for testcases - identity part1
- Adding description for testcases - volume part1
- Add logs for plugins data
- Catch json.loads exceptions in verify_device_metadata
- Adding description for testcases - compute part2
- Explicitly handle baremetal ports when checking if they are active
- [Trivial]Do not use self in class method
- [Trivial]Add space between words in log message
- Adding description for testcases - compute part1
- Add glare and taas to blacklist
- compute: Add stable device rescue tests
- compute: Add missing 2.73 response schema validation
- Fix noVNC failed TCs
- Keystone - List user groups 'membership_expires_at' attribute
- compute: Add negative volume update multiattach test
- Pass clients to compute base's create_test_server
- Remove universal wheel building
- Update hacking for Python3
- Check no specific group present in group list
- Blacklist x/kingbird project from sanity-check
- Add --worker-file option in tempest
- Replace old requires-python with python-requires
- Fixes race condition in test_add_remove_fixed_ip
- Fix deletion of network quotas
- add unittest for create and list resource types association
- Create default network for compute volume and negative metadata tests
- Fixed test related to tag-ext
- Add subnet_id option
- Make tempest-multinode-full py2 job on py2
- Cleanup images properly
- add unittest for delete resource types association
- Ensure bootable volume is gone in scenario test before tearDown
- services: Introduce a cinder v3 attachments client
- Remove devstack-plugin-ceph-tempest py2 job
- modify status code according to the latest API documentation
- Do not force live migration outside of Availability zone
- Added fix to 'test_delete_saving_image' testcase
- add unit test for delete_group_user method
- Set 3h timeout for tempest-ipv6-only job
- Deprecate spice_console and rdp_console config items
- Delete network quotas
- Add validation_resources in test_resize_volume_backed_server_confirm
- Re-enable the stable rocky job
- compute: Use wait_for_volume_attachment_remove when detaching multiattach volumes
- compute: Use valid extra specs to test 'os-extra_specs' API
- Prevent SSH client proxy loops
- [ussuri][goal] Drop python 2.7 support and testing
- Update README for run-tempest role
- compute: Add volume and placement microversion support to BaseV2ComputeTest
- Disable stable/rocky temporarily on Tempest master
- Use stable constraint in run-tempest for stable branch testing
- Add missing waiter to test_tagged_attachment
- tox: Use python3 within tempestenv
- Drop python 3.5 support from Tempest
- Modify the incorrect fake data
- Change default region for placement to empty string
- Improve response data of test_routers_client
- compute: Deprecate [compute-feature-enabled]/block_migrate_cinder_iscsi
- waiters: Add wait_for_volume_attachment_remove
- Removal of deprecated argument[os-tenant-name]
- Accept custom registered endpoints
- Remove indentation for bullet list
- Fix test_stamp_pattern to remove dependency of user supplied volume name
- Define python3 as basepython for Tempest tox env
- Add ConsistencyGroup Exceptions in tempest
- Create default network for more compute tests
- Add doc for supported OpenStack release & py version
- Add release notes page for version 23.0.0
- Remove the Queens stable branch jobs from master gate
- Support force-deletion of servers.
- Refactor methods to be used by other tests
- Remove the deprecated verify-tempest-config CLI
- add unittest for agent operation interface in network part
- Remove the security_group_default_rules tests
- add unittest for delete tag definition interface
- Modify the response in test_snapshots_client
- Relax volume compare in test_minimum_basic_scenario
- Modify the application credentials fake data
- Add response schema validation for volume types
- Add response schema validation for volume quota classes

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 1:23.0.0-1
- Update patches

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> 1:23.0.0-1
- Update patches

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 1:23.0.0-1
- Accept custom registered endpoints (rhbz#1801143)
- Fix test_stamp_pattern to remove dependency of user supplied volume name (rhbz#1777523)

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 1:23.0.0-1
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 1:23.0.0-1
- Update patches

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:23.0.0-1
- Update patches

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> 1:22.1.0-1
- Update patches
- Merge "Add releasenote to tag the end of support for Queens"
- Merge "Add release notes page for version 22.1.0"
- Merge "Create default network for more compute tests"
- Add release notes page for version 22.1.0
- Add releasenote to tag the end of support for Queens
- Create default network for more compute tests
- Merge "waiters: Rearrange image and volume waiter tests"
- Merge "Create default network for several compute tests"
- Merge "compute: Fix a typo within the v2_71 servers response schema"
- Create default network for several compute tests
- Merge "Blacklist compute.volumes and compute.images API tests"
- Blacklist compute.volumes and compute.images API tests
- waiters: Rearrange image and volume waiter tests
- compute: Fix a typo within the v2_71 servers response schema
- Merge "Remove test_agent_management tests"
- Merge "Remove xvpvnc console type tests"
- Merge "add unittest for list namespaces interface"
- Merge "Add a default network when creating a server"
- Merge "Close ssh client after executing a command"
- Merge "Add host validation after live migration"
- Merge "Tempest cleanup: improve iterating over projects"
- Merge "Extend cleanup CLI to delete regions"
- Fix app cred client unit test name
- Tempest cleanup: improve iterating over projects
- Extend cleanup CLI to delete regions
- Remove xvpvnc console type tests
- Merge "Update test_port_list_filter_by_ip pass conditions"
- add unittest for list namespaces interface
- Merge "add unittest for list image members interface"
- Merge "Complete missing interface test for test_groups_client in v3"
- Merge "Added tempest subcommand for subunit_describe_calls"
- Remove test_agent_management tests
- Merge "Drop old neutron-grenade job"
- Add a default network when creating a server
- Merge "Replaced testr with stestr"
- Add host validation after live migration
- Replaced testr with stestr
- Merge "Fix api-link for interface force_detach_volume"
- Merge "Fix test_attach_detach_volume test case to not rely on user/libvirt supplied disk name"
- Complete missing interface test for test_groups_client in v3
- add unittest for list image members interface
- Merge "Use python 3 on all nodes in multinode jobs"
- Fix test_attach_detach_volume test case to not rely on user/libvirt supplied disk name
- Added tempest subcommand for subunit_describe_calls
- Close ssh client after executing a command
- Use python 3 on all nodes in multinode jobs
- Merge "Modify the wrong response example for test_types_client in v3"
- Fix api-link for interface force_detach_volume
- Merge "Set irrelevant-files for bashate job"
- Modify the wrong response example for test_types_client in v3
- Drop old neutron-grenade job
- Merge "Remove unused opensuse150 job definition"
- Merge "tempest cleanup - use admin_mgr only"
- Merge "Use the IPv6 documentation prefix as the default cidr"
- Merge "Disable c-bak service in tempest-full* jobs"
- Remove unused opensuse150 job definition
- Merge "Modify the error fake date"
- Update test_port_list_filter_by_ip pass conditions
- Modify the error fake date
- tempest-plugin-sanity: respect upper-constraints
- Disable c-bak service in tempest-full* jobs
- Merge "switch to the newly created opensuse-15 nodeset"
- Merge "Modify the fake date"
- Modify the fake date
- tempest cleanup - use admin_mgr only
- Set irrelevant-files for bashate job
- Use the IPv6 documentation prefix as the default cidr
- switch to the newly created opensuse-15 nodeset

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 1:22.1.0-1
- Update patches

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 1:22.1.0-1
- Update patches
- Fix reno typo
- Merge "Add workaround to handle the testtool skip exception in CLI test"
- Merge "Remove timer and _log_request() calling"
- Add workaround to handle the testtool skip exception in CLI test
- Merge "Modify the create user fake data"
- Remove timer and _log_request() calling
- Modify the create user fake data

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> 1:22.0.0-1
- Update patches
- Merge "Add Tempest gate job for stable/train"
- Merge "Add release notes page for version 22.0.0"
- Add release notes page for version 22.0.0
- Add Tempest gate job for stable/train

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 1:22.0.0-1
- Update patches
- Merge "Move upload/download image action to right place"
- Add release note for log_req_body kwarg
- Fix the logging of request body credentials
- Move upload/download image action to right place

* Tue Oct 01 2019 OSP Prod Chain <dev-null@redhat.com> 1:XXX-XXX
- Update patches
- Merge "Call tearDownClass when handling skip exception on setUpClass"
- Call tearDownClass when handling skip exception on setUpClass


